﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;
using Infragistics.Windows.Editors;

namespace TextEditorMaskAndFormat
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            DataContext = new List<Data>
            {
                new Data { Value = 1.3232132321 }
            };
        }

        private void XamDataGrid_FieldLayoutInitialized(object sender, Infragistics.Windows.DataPresenter.Events.FieldLayoutInitializedEventArgs e)
        {            
            foreach (Field f in e.FieldLayout.Fields)
            {
                Style esBeta = new Style();
                esBeta.TargetType = typeof(XamMaskedEditor);
                esBeta.Setters.Add(new Setter(XamMaskedEditor.MaskProperty, "-nnnn.nnnnn"));
                esBeta.Setters.Add(new Setter(XamMaskedEditor.FormatProperty, "#.##"));

                f.Settings.EditorStyle = esBeta;
            }
        }
    }

    public class Data
    {
        public double Value { get; set; }
    }
}
